package com.jmgv.themerchant;

import java.util.ArrayList;
import java.util.HashMap;

import com.example.themerchant.R;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class CargoPlanetListAdapter   extends BaseAdapter {
	private Context mContext;
	LayoutInflater inflater;
	private final ArrayList<HashMap<String, String>> urls;
	HashMap<String, String> resultp = new HashMap<String, String>();
	
	
	public CargoPlanetListAdapter(Context context,
			ArrayList<HashMap<String, String>> items) {
		mContext = context;
		urls = items;
	}

    public int getCount() {
        return urls.size();
    }
 
    public Object getItem(int position) {
        return position;
    }

	@Override
	public long getItemId(int position) {
		return getItem(position).hashCode();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		TextView cargo_mercancia;
		TextView cargo_cantidad;
		TextView cargo_valorCompra;
		TextView cargo_valorVenta;
		TextView cargo_idmercancia;
		TextView cargo_idplaneta;
		
		View view=null;
		try{
			
		inflater = (LayoutInflater) mContext
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

		view = inflater.inflate(R.layout.custom_list_cargo_planet , parent,
				false);

		resultp = urls.get(position);

		cargo_mercancia= (TextView) view.findViewById(R.id.txtMercMercancia );
		cargo_cantidad= (TextView) view.findViewById(R.id.txtMercCantidad );
		cargo_valorCompra = (TextView) view.findViewById(R.id.txtMercValorCompra );
		cargo_valorVenta = (TextView) view.findViewById(R.id.txtMercValorVenta);
		cargo_idmercancia= (TextView) view.findViewById(R.id.txtBuyID);
		cargo_idplaneta= (TextView) view.findViewById(R.id.txtMercIDPlanet);
		
		if (resultp.get(TradeActivity.TAG_CARGO_ID_PLANETA).equals("-1")) {
			cargo_mercancia.setTextColor((mContext.getResources().getColor(R.color.text_color_orange)));
			cargo_valorCompra.setTextColor((mContext.getResources().getColor(R.color.text_color_orange)));
			cargo_cantidad.setTextColor((mContext.getResources().getColor(R.color.text_color_orange)));
			cargo_valorVenta.setTextColor((mContext.getResources().getColor(R.color.text_color_orange)));
		}
		
		
		cargo_mercancia.setText(resultp.get(TradeActivity.TAG_CARGO_MERCANCIA ));
		cargo_cantidad.setText(resultp.get(TradeActivity.TAG_CARGO_CANTIDAD));
		cargo_valorCompra.setText(resultp.get(TradeActivity.TAG_CARGO_PRECIO_VENTA ));
		cargo_valorVenta.setText(resultp.get(TradeActivity.TAG_CARGO_PRECIO_COMPRA));
		cargo_idmercancia.setText(resultp.get(TradeActivity.TAG_CARGO_ID_MERCANCIA));
		cargo_idplaneta.setText(resultp.get(TradeActivity.TAG_CARGO_ID_PLANETA));

		
		} catch (Exception ex ){
			ex.printStackTrace();
		}
		return view;
	}
}