package com.jmgv.themerchant;


import java.util.ArrayList;
import java.util.HashMap;

import com.example.themerchant.R;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class CrewListAdapter  extends BaseAdapter {
	private Context mContext;
	LayoutInflater inflater;
	private final ArrayList<HashMap<String, String>> urls;
	HashMap<String, String> resultp = new HashMap<String, String>();
	
	
	public CrewListAdapter(Context context,
			ArrayList<HashMap<String, String>> items) {
		mContext = context;
		urls = items;
	}

    public int getCount() {
        return urls.size();
    }
 
    public Object getItem(int position) {
        return position;
    }

	@Override
	public long getItemId(int position) {
		return getItem(position).hashCode();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		TextView crew_id_tripulacion;
		TextView crew_nombre;
		TextView crew_nav;
		TextView crew_pilot;
		TextView crew_art;
		TextView crew_eng;
		TextView crew_funct;
		TextView crew_cost;
		
		View view=null;
		try{
			
		inflater = (LayoutInflater) mContext
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

		view = inflater.inflate(R.layout.custom_list_crew , parent,
				false);

		resultp = urls.get(position);

		crew_id_tripulacion= (TextView) view.findViewById(R.id.txtCrewId );
		crew_nombre= (TextView) view.findViewById(R.id.txtCrewName  );
		crew_nav = (TextView) view.findViewById(R.id.txtNav );
		crew_pilot = (TextView) view.findViewById(R.id.txtPilot  );
		crew_art= (TextView) view.findViewById(R.id.txtArt );
		crew_eng= (TextView) view.findViewById(R.id.txtEng  );
		crew_funct= (TextView) view.findViewById(R.id.txtFunct  );
		crew_cost= (TextView) view.findViewById(R.id.txtCoste  );

		
		crew_id_tripulacion.setText(resultp.get(CaptainActivity.TAG_TRIPULACION ));
		crew_nombre.setText(resultp.get(CaptainActivity.TAG_NOMBRE ));
		crew_nav.setText(resultp.get(CaptainActivity.TAG_NAVEGACION ));
		crew_pilot.setText(resultp.get(CaptainActivity.TAG_PILOTAJE));
		crew_art.setText(resultp.get(CaptainActivity.TAG_ARTILLERIA));
		crew_eng.setText(resultp.get(CaptainActivity.TAG_INGENIERIA));
		crew_funct.setText(resultp.get(CaptainActivity.TAG_FUNCION));
		crew_cost.setText(resultp.get(CaptainActivity.TAG_COSTE));
		
		
		} catch (Exception ex ){
			ex.printStackTrace();
		}
		return view;
	}
}