package com.jmgv.themerchant;

import java.util.ArrayList;
import java.util.HashMap;

import com.example.themerchant.R;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class FriendListAdapter extends BaseAdapter {
	private Context mContext;
	LayoutInflater inflater;
	private final ArrayList<HashMap<String, String>> urls;
	HashMap<String, String> resultp = new HashMap<String, String>();
	

	public FriendListAdapter(Context context,
			ArrayList<HashMap<String, String>> items) {
		mContext = context;
		urls = items;
	}

    public int getCount() {
        return urls.size();
    }
 
    public Object getItem(int position) {
        return position;
    }

	@Override
	public long getItemId(int position) {
		return getItem(position).hashCode();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		TextView friend_friend;

		inflater = (LayoutInflater) mContext
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

		View view = inflater.inflate(R.layout.custom_list_friend, parent,
				false);

		resultp = urls.get(position);

		friend_friend = (TextView) view.findViewById(R.id.txtFriend);
		
		friend_friend.setText(resultp.get(SocialActivity.TAG_FRIEND_FRIEND));
		
		return view;
	}

}