package com.jmgv.themerchant;

import java.util.ArrayList;
import java.util.HashMap;

import com.example.themerchant.R;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class MailListAdapter extends BaseAdapter {
	private Context mContext;
	LayoutInflater inflater;
	private final ArrayList<HashMap<String, String>> urls;
	HashMap<String, String> resultp = new HashMap<String, String>();
	
	public MailListAdapter(Context context,
			ArrayList<HashMap<String, String>> items) {
		mContext = context;
		urls = items;
	}

    public int getCount() {
        return urls.size();
    }
 
    public Object getItem(int position) {
        return position;
    }

	@Override
	public long getItemId(int position) {
		return getItem(position).hashCode();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		TextView mail_sender;
		TextView mail_message;
		TextView mail_date;

		inflater = (LayoutInflater) mContext
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

		View view = inflater.inflate(R.layout.custom_list_mail, parent,
				false);

		resultp = urls.get(position);

		mail_sender = (TextView) view.findViewById(R.id.sender);
		mail_message = (TextView) view.findViewById(R.id.message);
		mail_date=(TextView) view.findViewById(R.id.Fecha_hora);
		

		mail_sender.setText(resultp.get(SocialActivity.TAG_MAIL_SENDER));
		mail_message.setText(resultp.get(SocialActivity.TAG_MAIL_MESSAGE));
		mail_date.setText(resultp.get(SocialActivity.TAG_MAIL_DATE));
		
		return view;
	}

}
