package com.jmgv.themerchant;

import java.util.ArrayList;
import java.util.HashMap;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.example.themerchant.R;

public class ModuleListAdapter  extends BaseAdapter {
	private Context mContext;
	LayoutInflater inflater;
	private final ArrayList<HashMap<String, String>> urls;
	HashMap<String, String> resultp = new HashMap<String, String>();
	

	public ModuleListAdapter(Context context,
			ArrayList<HashMap<String, String>> items) {
		mContext = context;
		urls = items;
	}

    public int getCount() {
        return urls.size();
    }
 
    public Object getItem(int position) {
        return position;
    }

	@Override
	public long getItemId(int position) {
		return getItem(position).hashCode();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		TextView module;
		TextView idmodule;

		inflater = (LayoutInflater) mContext
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

		View view = inflater.inflate(R.layout.custom_list_module, parent,
				false);

		resultp = urls.get(position);

		module = (TextView) view.findViewById(R.id.txtModule);
		module.setText(resultp.get(ShipActivity.TAG_MODULE_NOMBRE));
		idmodule= (TextView) view.findViewById(R.id.txtModuleId);
		idmodule.setText(resultp.get(ShipActivity.TAG_MODULE_ID_MODULO));
		
		
		return view;
	}

}