package com.jmgv.themerchant;

import java.io.IOException;

import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPut;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.util.EntityUtils;
import org.json.JSONObject;

import com.example.themerchant.R;
import com.google.android.gms.gcm.GoogleCloudMessaging;

import android.app.Activity;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.widget.Toast;

public class SplashActivity extends Activity{
	
	private GoogleCloudMessaging gcm;
	private String regId="";
	private final int SPLASH_DISPLAY_LENGHT = 3000;

	    /** Called when the activity is first created. */
	    @Override
	    public void onCreate(Bundle icicle) {
	        super.onCreate(icicle);
	        setContentView(R.layout.activity_splash);
	        registerInBackground();

	        /* New Handler to start the Menu-Activity 
	         * and close this Splash-Screen after some seconds.*/
	        /*new Handler().postDelayed(new Runnable(){
	            @Override
	            public void run() {
	                Intent mainIntent = 
	                        new Intent(getBaseContext(), MainActivity.class);
	                        startActivity(mainIntent);
	            }
	        }, SPLASH_DISPLAY_LENGHT);
	        */
	    }
	    
	    private void registerInBackground() {
		    new AsyncTask<Void, Void, String>() {
		      @Override
		      protected String doInBackground(Void... params) {
		        String msg = "";
		        try {
		          if (gcm == null) {
		            gcm = GoogleCloudMessaging.getInstance(getApplicationContext());
		            
		          }
		          regId = gcm.register(Session.ProjectID);
		          
		          //Log.d("RegisterActivity", "registerInBackground - regId: "
		          //    + regId);
		          msg = "Device registered";
		 
		          Session.RegID=regId;
		          Intent mainIntent = 
	                        new Intent(getBaseContext(), MainActivity.class);
	                        startActivity(mainIntent);
		          finish();
		          
		        } catch (Exception e)
		        {
		        	e.printStackTrace();
		        }
		        Log.d("RegisterActivity", "AsyncTask completed: " + msg);
		        return msg;
		      }
		 
		      @Override
		      protected void onPostExecute(String msg) {
		        Toast.makeText(getApplicationContext(),
		            "Registered with GCM Server." + msg, Toast.LENGTH_LONG)
		            .show();
		      }
		    }.execute(null, null, null);
		  }

	  
	 
	    
	}