package com.jmgv.ui;

import java.lang.reflect.Type;
import java.util.Date;

import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonParseException;
import com.google.gson.JsonPrimitive;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;

public class GsonDateAdapter  implements JsonSerializer<Date>, JsonDeserializer<Date> {
	 
    public JsonElement serialize(Date src, Type typeOfSrc, JsonSerializationContext context) {
        try
        {
	    	String string = "/Date(" + Long.toString(src.getTime()) + ")/";
	        return new JsonPrimitive(string);
        }
        catch (Exception ex){
        	ex.printStackTrace();
        	return null;
        }
        
   }
    public Date deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context)
            throws JsonParseException {
        if (!(json instanceof JsonPrimitive)) {
            throw new JsonParseException("The date should be a string value");
        }
         
        String aux = json.getAsString();
        aux = aux.substring(6, aux.length() - 2);
        return new Date(Long.decode(aux));

    }

}