package com.jmgv.themerchant;

import java.util.ArrayList;
import java.util.HashMap;

import com.example.themerchant.R;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class ChatListAdapter extends BaseAdapter {
	private Context mContext;
	LayoutInflater inflater;
	private final ArrayList<HashMap<String, String>> urls;
	HashMap<String, String> resultp = new HashMap<String, String>();
	
	
	public ChatListAdapter(Context context,
			ArrayList<HashMap<String, String>> items) {
		mContext = context;
		urls = items;
	}

    public int getCount() {
        return urls.size();
    }
 
    public Object getItem(int position) {
        return position;
    }

	@Override
	public long getItemId(int position) {
		return getItem(position).hashCode();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		TextView chat_fechahora;
		TextView chat_message;
		TextView chat_sender;
	
		View view=null;
		try{
			
		inflater = (LayoutInflater) mContext
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

		view = inflater.inflate(R.layout.custom_list_chat, parent,
				false);

		resultp = urls.get(position);

		chat_sender = (TextView) view.findViewById(R.id.txtChatSender );
		chat_message = (TextView) view.findViewById(R.id.txtChatMessage);
		chat_fechahora= (TextView) view.findViewById(R.id.txtChatFechaHora);

		
		chat_sender.setText(resultp.get(SocialActivity.TAG_MAIL_SENDER));
		chat_message.setText(resultp.get(SocialActivity.TAG_MAIL_MESSAGE));
		chat_fechahora.setText(resultp.get(SocialActivity.TAG_MAIL_DATE));

		
		} catch (Exception ex ){
			ex.printStackTrace();
		}
		return view;
	}
}