package com.jmgv.themerchant;

import java.util.ArrayList;
import java.util.HashMap;

import com.example.themerchant.R;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class RankingListAdapter extends BaseAdapter {
	private Context mContext;
	LayoutInflater inflater;
	private final ArrayList<HashMap<String, String>> urls;
	HashMap<String, String> resultp = new HashMap<String, String>();
	
	public RankingListAdapter(Context context,
			ArrayList<HashMap<String, String>> items) {
		mContext = context;
		urls = items;
	}

    public int getCount() {
        return urls.size();
    }
 
    public Object getItem(int position) {
        return position;
    }

	@Override
	public long getItemId(int position) {
		return getItem(position).hashCode();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		TextView ranking_escudo;
		TextView ranking_user;
		TextView ranking_tripulacion;
		TextView ranking_armadura;
		TextView ranking_valor;
		TextView ranking_saldo;
		
		inflater = (LayoutInflater) mContext
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

		View view = inflater.inflate(R.layout.custom_list_ranking , parent,
				false);

		resultp = urls.get(position);

		ranking_escudo = (TextView) view.findViewById(R.id.txtEscudos );
		ranking_user = (TextView) view.findViewById(R.id.txtUserRanking);
		ranking_tripulacion=(TextView) view.findViewById(R.id.txtTripulacion );
		ranking_armadura= (TextView) view.findViewById(R.id.txtArmadura  );
		ranking_valor= (TextView) view.findViewById(R.id.txtValor );
		//ranking_saldo= (TextView) view.findViewById(R.id.txtSaldo );
		
		ranking_escudo.setText(resultp.get(SocialActivity.TAG_RANKING_ESCUDO ));
		ranking_user.setText(resultp.get(SocialActivity.TAG_RANKING_LOGIN));
		ranking_tripulacion.setText(resultp.get(SocialActivity.TAG_RANKING_TRIPULACION));
		ranking_armadura.setText(resultp.get(SocialActivity.TAG_RANKING_ARMADURA));
		ranking_valor.setText(resultp.get(SocialActivity.TAG_RANKING_VALOR));
		//ranking_saldo.setText(resultp.get(SocialActivity.TAG_RANKING_SALDO));
		
		return view;
	}

}